.\" $NetBSD: podulebus.4,v 1.2 2006/10/26 22:39:50 wiz Exp $
.\"
.\" Copyright (c) 2000, 2006 Ben Harris
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 26, 2006
.Dt PODULEBUS 4
.Os
.Sh NAME
.Nm podulebus
.Nd Acorn Expansion Card bus driver
.Sh SYNOPSIS
.Cd podulebus0 at ioc0 bank 4
.Pq Nx Ns /acorn26
.Cd podulebus0 at root
.Pq Nx Ns /acorn32
.Sh DESCRIPTION
The
.Nm
driver handles the expansion-card interface in Archimedes machines and
their successors.
This includes conventional expansion cards, mini
expansion cards (as introduced in the A3000), network expansion cards
(as introduced in the A3020), DEBI expansion cards (as introduced in
the Risc PC), and Mk II network cards (also introduced in the Risc PC).
Drivers for individual cards attach as children of the
.Nm
device.
.Pp
.Nx
includes several machine-independent expansion card device drivers.
There are also some device drivers which are specific to
.Nx Ns /acorn26
or
.Nx Ns /acorn32 .
.Sh HARDWARE
The following devices are supported by
.Nx .
.Ss SCSI interfaces
.Bl -tag -width Nm
.It Nm asc
Acorn
.Tn AKA30 , AKA31 ,
and
.Tn AKA32 SCSI
expansion cards
.Pq Nx Ns /acorn32 .
.It Nm cosc
.Tn MCS
Connect32
.Tn SCSI
interface
.Pq Nx Ns /acorn32 .
.It Nm csa
Cumana 8-bit
.Tn SCSI
interface
.Pq Nx Ns /acorn32 .
.It Nm csc
Cumana 16-bit
.Tn SCSI
interface
.Pq Nx Ns /acorn32 .
.It Nm hcsc
.Tn HCCS
8-bit
.Tn SCSI
interface.
.It Nm oak
Oak
.Tn SCSI
interface.
.It Nm ptsc
Powertec
.Tn SCSI
interface
.Pq Nx Ns /acorn32 .
.It Nm sec
Acorn
.Tn AKA30 , AKA31 ,
and
.Tn AKA32 SCSI
expansion cards.
.El
.Ss Disk controllers
.Bl -tag -width Nm
.It Nm dtide
D.T. Software
.Tn IDE
controller.
.It Nm hcide
.Tn HCCS IDE
controller.
.It Nm icside
.Tn ICS IDE
controller
.Pq Nx Ns /acorn32 .
.It Nm rapide
Yellowstone Educational Solutions RapIDE
.Tn IDE
controller
.Pq Nx Ns /acorn32 .
.It Nm simide
Simtec
.Tn IDE
controller
.Pq Nx Ns /acorn32 .
.El
.Ss Network interfaces
.Bl -tag -width Nm
.It Nm ea
Atomwide
.No A-10 Ns Ar xx
and Acorn
.Tn AEH54
Ethernet cards (Ether3).
.It Nm eb
Atomwide and
.Tn ANT
network-slot and Acorn
.Tn AEH61
Ethernet cards (EtherB).
.It Nm eh
i-cubed EtherLan 100-, 200- and 500-series,
and Acorn
.Tn AEH75 , AEH77 ,
and
.Tn AEH79
Ethernet cards (EtherH)
.Pq Nx Ns /acorn26 .
.It Nm ei
Acorn
.Tn AKA25
Ethernet card (Ether1).
.It Nm ie
Acorn
.Tn AKA25
Ethernet card (Ether1)
.Pq Nx Ns /acorn32 .
.It Nm ne
Various vaguely
.Tn NE2000 Ns -compatible
Ethernet cards
.Pq Nx Ns /acorn32 .
.El
.Ss Serial interfaces
.Bl -tag -width Nm
.It Nm amps
Atomwide multi-port serial interface
.Pq Nx Ns /acorn32 .
.El
.Sh SEE ALSO
.Xr acorn26/eh 4 ,
.\" .Xr acorn32/amps 4 ,
.Xr acorn32/asc 4 ,
.Xr acorn32/cosc 4 ,
.\" .Xr acorn32/csa 4 ,
.Xr acorn32/csc 4 ,
.\" .Xr acorn32/icside 4 ,
.Xr acorn32/ie 4 ,
.Xr acorn32/ptsc 4 ,
.\" .Xr acorn32/rapide 4 ,
.\" .Xr acorn32/simide 4 ,
.Xr dtide 4 ,
.Xr ea 4 ,
.Xr eb 4 ,
.Xr ei 4 ,
.Xr hcide 4 ,
.\" .Xr hcsc 4 ,
.Xr ne 4 ,
.Xr oak 4 ,
.Xr sec 4
.Sh BUGS
Too few drivers are shared between
.Nx Ns /acorn26
and
.Nx Ns /acorn32 .
